/*
 * Promemoria.h
 *
 *  Created on: 13/mag/2013
 *      Author: bertini
 */

#ifndef PROMEMORIA_H_
#define PROMEMORIA_H_

#include <string>

// Valore
class Promemoria {
public:
	Promemoria() :
			anno(2013), mese(1), giorno(1), titolo(""), fatto(false) {
	}
	// operator== e' necessario per algoritmo find
	bool operator==(const Promemoria& right) const {
		if (anno != right.anno)
			return false;
		if (mese != right.mese)
			return false;
		if (giorno != right.giorno)
			return false;
		if (titolo != right.titolo)
			return false;
		if (fatto != right.fatto)
			return false;
		return true;
	}

	int anno, mese, giorno;
	std::string titolo;
	bool fatto;
};

#endif /* PROMEMORIA_H_ */
